@echo off
echo INFO: start installing Start Center to "%ProgramFiles(x86)%\forcont"
StartCenterSetup.exe /S /D "%ProgramFiles(x86)%\forcont" > NUL 2>&1

if errorlevel 1 (
  echo ERROR: failed to install Start Center!
  exit /B 1
)

echo INFO: Start Center has been successfully installed
echo INFO: try to copy startcenter.xml to "%ProgramFiles(x86)%\forcont\Start Center\settings\startcenter.xml"
copy /Y startcenter.xml "%ProgramFiles(x86)%\forcont\Start Center\settings\startcenter.xml"
if errorlevel 1 (
  echo ERROR: failed to copy startcenter.xml to "%ProgramFiles(x86)%\forcont\Start Center\settings\startcenter.xml". please copy it manually!
  exit /B 2
)
echo INFO: configuration file startcenter.xml has been successfully copied to "%ProgramFiles(x86)%\forcont\Start Center\settings\startcenter.xml"
exit /B 0